## golang-github-jawher-mow.cli 1.1.0

=== Makefile ===
test:
	go test ./...

test-cover:
	go list -f '{{if len .TestGoFiles}}"go test -coverprofile={{.Dir}}/.coverprofile {{.ImportPath}}"{{end}}' ./... | xargs -L 1 sh -c
	gover
	goveralls -coverprofile=gover.coverprofile -service=travis-ci

check: readmecheck
	bin/golangci-lint run

doc:
	autoreadme -f

readmecheck:
	sed '$ d' README.md > README.original.md
	autoreadme -f
	sed '$ d' README.md > README.generated.md
	diff README.generated.md README.original.md

setup:
	go get golang.org/x/tools/cmd/cover
	go get github.com/mattn/goveralls
	go get github.com/modocache/gover
	go get github.com/divan/autoreadme
	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s v1.16.0

.PHONY: test check lint vet fmtcheck ineffassign readmecheck

=== debian/changelog ===
golang-github-jawher-mow.cli (1.1.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:18:46 +0200

golang-github-jawher-mow.cli (1.1.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 Jul 2020 10:41:56 +0200

=== debian/control ===
Source: golang-github-jawher-mow.cli
Section: devel
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.0
Homepage: https://github.com/jawher/mow.cli
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/jawher/mow.cli
Testsuite: autopkgtest-pkg-go

Package: golang-github-jawher-mow.cli-dev
Architecture: all
Depends: golang-github-stretchr-testify-dev,
         ${misc:Depends}
Description: versatile library for building CLI applications in Go (library)
 This package provides a framework to build command line applications in
 Go with most of the burden of arguments parsing and validation placed
 on the framework instead of the user.

## golang-github-jawher-mow.cli 1.2.0

=== Makefile ===
test:
	go test ./...

check: readmecheck
	bin/golangci-lint run

doc:
	autoreadme -f

readmecheck:
	head -n -1 README.md > README.original.md
	autoreadme -f
	head -n -1 README.md > README.generated.md
	diff README.generated.md README.original.md

lint.setup:
	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s v1.28.0


readmecheck.setup:
	go get github.com/jawher/autoreadme

.PHONY: test check doc readmecheck lint.setup readmecheck.setup

=== debian/changelog ===
golang-github-jawher-mow.cli (1.2.0-0kali1~jan+nur139) kali-experimental; urgency=low

  [ Kali Janitor ]
  * New upstream release.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Fri, 09 Dec 2022 00:53:58 -0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: golang-github-jawher-mow.cli
 Section: devel
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-stretchr-testify-dev
 Standards-Version: 4.5.0
+Vcs-Browser: https://gitlab.com/kalilinux/packages/golang-github-jawher-mow.cli
+Vcs-Git: https://gitlab.com/kalilinux/packages/golang-github-jawher-mow.cli.git
 Homepage: https://github.com/jawher/mow.cli
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/jawher/mow.cli

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-jawher-mow.cli-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/jawher/mow.cli/tags .*/v?(\d\S*)\.tar\.gz debian
